=== debian/changelog ===
keystone (2:15.0.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Stein (LP: #1880163)
  * d/p/add-version-info.patch: Refreshed.
  * d/p/token-consistently-decode-binary-types.patch: Drop,
    included upstream.
  * d/p/0001-fixing-dn-to-id.patch: Drop, included upstream.
  * d/p/0002-fixing-dn-to-id.patch: Drop, included upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 22 May 2020 11:39:35 +0000

keystone (2:15.0.0-0ubuntu1.2~cloud0) bionic-stein; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 30 Sep 2019 10:21:32 +0000

keystone (2:15.0.0-0ubuntu1.2) disco; urgency=medium

  * d/p/000*-fixing-dn-to-id.patch: Fix LDAP backend's dn_to_id function
    for cases were id is not in the DN (LP: #1782922).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Sep 2019 11:08:09 +0200

keystone (2:15.0.0-0ubuntu1.1) disco; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ James Page ]
  * d/p/token-consistently-decode-binary-types.patch: Ensure binary
    types are consistently decoded under Python 3 (LP: #1832265).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jul 2019 14:54:08 +0100
