=== debian/tests/control ===
Tests: keystone-daemon
Depends: keystone
Restrictions: needs-root
