## keystone 16.0.0

=== debian/changelog ===
keystone (2:16.0.0-5) unstable; urgency=high

  * Add a depends on uwsgi-plugin-apparmor, and use it.
  * Add load-balancer_admin & load-balancer_member in default role creation.
  * CVE-2019-19687: project members and readers can list any credentials with
    the /v3/credentials API when enforce_scope is false. Add upstream patch:
    CVE-2019-19687_Fix_credential_list_for_project_members.patch.
    (Closes: #946614).
  * Blacklist test_hacking_checks.TestCheckForMutableDefaultArgs.test() which
    is currently failing in Sid.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Dec 2019 22:20:29 +0100

keystone (2:16.0.0-4) unstable; urgency=medium

  * Do not assign heat_stack_user to admin user.

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 01 Nov 2019 10:04:26 +0100

keystone (2:16.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 21:57:33 +0200

keystone (2:16.0.0-2) experimental; urgency=medium

  * Add k8s roles to keystone postinst.

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 18 Oct 2019 14:31:02 +0200

keystone (2:16.0.0-1) experimental; urgency=medium

  * Added da.po debconf translation (Closes: #923138).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 16:15:22 +0200

keystone (2:16.0.0~rc1-2) experimental; urgency=medium

  * Add heat_stack_user role to postinst

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 07 Oct 2019 16:26:51 +0200

keystone (2:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Sep 2019 11:38:06 +0200

keystone (2:15.0.0-5) unstable; urgency=medium

  * Fix install-missing-files.patch to install all files under the keystone/
    folder, because keystone/locale was missing.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Aug 2019 00:44:50 +0200

keystone (2:15.0.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Remove python3-mysqldb runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Jul 2019 15:30:56 +0200

keystone (2:15.0.0-3) unstable; urgency=medium

  * Remove token flush cron job, not needed anymore since UUID tokens are
    removed upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 May 2019 14:18:09 +0200

keystone (2:15.0.0-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99
  * d/copyright: Update year in my line

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 12:35:20 +0200

keystone (2:15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:40:58 +0200

keystone (2:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to uwsgi instead of Apache.
  * Removed PY3_switch_to_using_unicode_text_values.patch applied upstream.
  * Do not install etc/keystone-paste.ini, it's gone from upstream.
  * Using oslo-config-generator, not python3-oslo-config-generator.
  * Do not store policy.json in /etc/keystone, as this is currently borken.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2019 10:48:00 +0100
