## keystone 16.0.1

=== debian/changelog ===
keystone (2:16.0.1-0ubuntu1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Chris MacNaughton ]
  * d/watch: Update to point at tarballs.opendev.org.
  * d/p/add-version-info.patch: Refreshed.
  * d/p/CVE-2019-19687.patch: Dropped. Fixed in 16.0.1.
  * New stable point release for OpenStack Train (LP: #1879725).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 22 May 2020 06:17:06 +0000

keystone (2:16.0.0-0ubuntu1.1) eoan-security; urgency=medium

  * SECURITY UPDATE: data leakage in the list credentials API
    - debian/patches/CVE-2019-19687.patch: fix credential list for project
      members in keystone/api/credentials.py,
      keystone/tests/protection/v3/test_credentials.py,
      releasenotes/notes/bug-1855080-08b28181b7cb2470.yaml.
    - CVE-2019-19687

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 24 Jan 2020 13:59:22 -0500

keystone (2:16.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/keystone-common.install: Drop install of policy.v3cloudsample.json as it
    has been dropped from upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 10:52:00 -0400

keystone (2:16.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 16.x series.
  * New upstream release candidate for OpenStack Train.
  * d/p/token-consistently-decode-binary-types.patch: Dropped. Fixed in rc1.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 09:15:23 -0400

keystone (2:16.0.0~b3~git2019091810.5e35efd55-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Sep 2019 10:40:53 +0200

keystone (2:16.0.0~b2~git2019073116.bca92f99b-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Refreshed.

  [ Corey Bryant ]
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed with new BD
    for python3-sphinxcontrib.apidoc.


 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 16:50:19 +0200

keystone (2:16.0.0~b1~git2019061326.4f1667679-0ubuntu2) eoan; urgency=medium

  * d/p/token-consistently-decode-binary-types.patch: Ensure binary
    types are consistently decoded under Python 3 (LP: #1832265).

 -- James Page <james.page@ubuntu.com>  Fri, 21 Jun 2019 05:32:39 +0100

keystone (2:16.0.0~b1~git2019061326.4f1667679-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/p/*: Refresh.
  * d/control: Add BD on python3-sphinx-feature-classification.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 15:12:41 +0100
