## keystone 17.0.0~b2~git2020020513.99733f172

=== debian/changelog ===
keystone (2:17.0.0~b2~git2020020513.99733f172-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 05 Feb 2020 14:47:14 +0100

keystone (2:17.0.0~b1~git2019121613.db81fee63-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop remaining py2 BDs.
  * d/rules: Switch to pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-py38-failure.patch: Skip py38 failure until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 13:15:00 -0500
