=== debian/control ===
--- 
+++ 
@@ -9,9 +9,6 @@
  dh-apache2,
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -89,8 +86,8 @@
 Standards-Version: 4.1.4
 XS-Python-Version: >= 2.7
 Homepage: https://launchpad.net/keystone
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/keystone
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/keystone
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
 Testsuite: autopkgtest-pkg-python
 
 Package: keystone
