## keystone 17.0.0~b3~git2020041013.7bb6314e4

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Flask!=0.11,>=1.0.2  # BSD
 Flask-RESTful>=0.3.5  # BSD
 cryptography>=2.1 # BSD/Apache-2.0
-six>=1.10.0 # MIT
 SQLAlchemy>=1.1.0 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
@@ -21,7 +20,6 @@
 bcrypt>=3.1.3 # Apache-2.0
 scrypt>=0.8.0 # BSD
 oslo.cache>=1.26.0 # Apache-2.0
-oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
