=== debian/changelog ===
keystone (2:17.0.0~b3~git2020041013.7bb6314e4-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/keystone-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:08:43 -0400

keystone (2:17.0.0~b3~git2020032415.9f9040257-0ubuntu2) focal; urgency=medium

  * d/keystone-common.postinst: Set default ownership for /etc/<pkg>
    files/directories to keystone:keystone (LP: #1869132).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 11:48:38 -0400

keystone (2:17.0.0~b3~git2020032415.9f9040257-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-version-info.patch: Rebased.
  * d/keystone*.{pre*|post*}: Consolidate and move to keystone-common.postinst,
    do work when called with configure (aligns with other openstack packages),
    and set default ownership/permissions for /etc/<pkg>, /var/lib/<pkg>, and
    /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 15:02:12 -0400
