=== debian/control ===
--- 
+++ 
@@ -44,7 +44,6 @@
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.cache (>= 1.26.0),
- python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.27.0),
@@ -70,7 +69,6 @@
  python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-scrypt (>= 0.8.0),
- python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sphinxcontrib.blockdiag (>= 1.5.5),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
@@ -173,7 +171,6 @@
  python3-msgpack (>= 0.5.0),
  python3-oauthlib (>= 0.6.2),
  python3-oslo.cache (>= 1.26.0),
- python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.27.0),
@@ -194,7 +191,6 @@
  python3-pymysql,
  python3-pysaml2 (>= 4.5.0),
  python3-scrypt (>= 0.8.0),
- python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.1.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tz (>= 2013.6),
